Package com.sas.lsaf.security.acl

## Class AclOwner

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.security.acl.AclOwner

- All Implemented Interfaces:
    `Identifiable`, `Principal`, `java.io.Serializable`

      public class AclOwner
      extends AbstractIdentifiable
      implements Principal

  A data object that represents the owner ACL. For every `RepositoryItem`, there is one AclOwner entry that designates the owner permissions for that object. Note read and admin permissions cannot be taken away from the AclOwner.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AclOwner​(java.lang.String principalId)` | AclOwner constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` | Indicate whether another object is equal to this one.
    `java.lang.String` | `getPrincipalId()` | Gets the principal identifier of the ACL owner.
    `java.lang.String` | `getPrincipalName()` | Gets the principal name of the ACL owner.
    `int` | `hashCode()` | Returns a hash code value for the object.

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sas.lsaf.core.Identifiable

      `getId, getTypeId`

- - ### Constructor Detail

    - #### AclOwner

          public AclOwner​(java.lang.String principalId)

      AclOwner constructor.
      Parameters:
        `principalId` - The pricipalId of the ACL owner.

  - ### Method Detail

    - #### getPrincipalName

          public java.lang.String getPrincipalName()

      Gets the principal name of the ACL owner.
      Specified by:
        `getPrincipalName` in interface `Principal`
      Returns:
        The principal name of the ACL owner.

    - #### getPrincipalId

          public java.lang.String getPrincipalId()

      Gets the principal identifier of the ACL owner.
      Specified by:
        `getPrincipalId` in interface `Principal`
      Returns:
        The principal identifier of the ACL owner.

    - #### hashCode

          public int hashCode()

      Returns a hash code value for the object.
      Specified by:
        `hashCode` in interface `Principal`
      Overrides:
        `hashCode` in class `AbstractIdentifiable`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Indicate whether another object is equal to this one.
      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `AbstractIdentifiable`
      See Also:
        `Object.equals(java.lang.Object)`